//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;


namespace MindFusion.Scheduling.WinForms.Samples.CS.AdvancedViewers
{
	/// <summary>
	/// A custom appointment that wraps a TreeView control class.
	/// </summary>
	[ItemViewer(typeof(TreeViewer))]
	public class TreeAppointment : Appointment
	{
		/// <summary>
		/// Initializes a new instance of the TreeAppointment class.
		/// </summary>
		public TreeAppointment()
		{
			_view = new TreeViewEx();
			_view.Nodes.Add("Root");
			_view.Nodes[0].Nodes.Add("Child1");
			_view.Nodes[0].Nodes.Add("Child2");
			_view.Scrollable = false;
			_view.BorderStyle = BorderStyle.None;
			_view.HideSelection = false;
		}

		/// <summary>
		/// Gets the TreeViewEx control associated with this item.
		/// </summary>
		public TreeViewEx View
		{
			get { return _view; }
		}

		/// <summary>
		/// Appointment.HeaderText override.
		/// </summary>
		public override string HeaderText
		{
			get { return base.HeaderText; }
			set
			{
				base.HeaderText = value;
				_view.Nodes[0].Text = value;
			}
		}


		private TreeViewEx _view;
	}
}
