//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;


namespace MindFusion.Scheduling.WinForms.Samples.CS.AdvancedViewers
{
	/// <summary>
	/// Encapsulates drag data for TreeAppointment drag operation.
	/// </summary>
	public class TreeDragData
	{
		/// <summary>
		/// Initializes a new instance of the TreeDragData class.
		/// </summary>
		public TreeDragData(TreeAppointment item, TreeNode node)
		{
			_item = item;
			_node = node;
		}


		/// <summary>
		/// Gets the tree appoinment associated with the data.
		/// </summary>
		public TreeAppointment Item
		{
			get { return _item; }
		}

		/// <summary>
		/// Gets the tree node being dragged.
		/// </summary>
		public TreeNode Node
		{
			get { return _node; }
		}


		private TreeAppointment _item;
		private TreeNode _node;
	}
}
