//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Drawing;


namespace MindFusion.Scheduling.WinForms.Samples.CS.AdvancedViewers
{
	/// <summary>
	/// Custom item viewer.
	/// </summary>
	public class TreeViewer : IItemViewer
	{
		/// <summary>
		/// IItemViewer.Draw implementation.
		/// </summary>
		public virtual void Draw(ItemDrawContext context)
		{
			Rectangle b = context.Bounds;
			MindFusion.Drawing.IGraphics g = context.Graphics;
			Style s = context.Style;
			Brush headerBrush = new SolidBrush(s.HeaderTextColor);
			Pen strokePen = new Pen(Color.Red, 2);
			TreeAppointment item = context.Item as TreeAppointment;

			// Make the underlying control as big as the item itself
			item.View.Width = b.Width;
			item.View.Height = b.Height;

			Image image = item.View.GenerateImage();
			if (image == null)
				return;

			g.DrawImage(image, b.Left + 1, b.Top + 1);

			b.Width -= 1;
			b.Height -= 1;

			g.DrawRectangle(Pens.Black, b.Left, b.Top, b.Width, b.Height);
		}
	}
}
