//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Runtime.InteropServices;


namespace MindFusion.Scheduling.WinForms.Samples.CS.AdvancedViewers
{
	/// <summary>
	/// Imports goodies from unmanaged Win32 dlls.
	/// </summary>
	public sealed class Win32
	{
		/// <summary>
		/// Prevent instantiation.
		/// </summary>
		private Win32()
		{
		}


		/// <summary>
		/// SendMessage import.
		/// </summary>
		[DllImport("user32.dll")]
		public static extern IntPtr SendMessage(
			IntPtr hwnd,
			uint message,
			int wparam,
			ref LPTVHITTESTINFO lparam);


		/// <summary>
		/// POINT import.
		/// </summary>
		[StructLayout(LayoutKind.Sequential)]
		public struct POINT
		{
			public int x;
			public int y;
		}

		/// <summary>
		/// LPTVHITTESTINFO import.
		/// </summary>
		[StructLayout(LayoutKind.Sequential)]
		public struct LPTVHITTESTINFO
		{
			public POINT pt;
			public uint flags;
			public IntPtr hItem;
		}


		public const int TVM_HITTEST = 4369;

		public const int TVHT_NOWHERE = 0x0001;
		public const int TVHT_ONITEMICON = 0x0002;
		public const int TVHT_ONITEMLABEL = 0x0004;
		public const int TVHT_ONITEMINDENT = 0x0008;
		public const int TVHT_ONITEMBUTTON = 0x0010;
		public const int TVHT_ONITEMRIGHT = 0x0020;
		public const int TVHT_ONITEMSTATEICON = 0x0040;
		public const int TVHT_ONITEM = 0x0046;
		public const int TVHT_ABOVE = 0x0100;
		public const int TVHT_BELOW = 0x0200;
		public const int TVHT_TORIGHT = 0x0400;
		public const int TVHT_TOLEFT = 0x0800;

		public const int SRCCOPY = 0xCC0020;

		public const int WM_PAINT = 0x000f;
	}
}
